package com.diagbot.vo;

import com.diagbot.dto.LisResult;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @Description:
 * @author: Weixuan Huang
 * @time: 2019/3/4 16:35
 */
@Getter
@Setter
public class SearchVo {
    @ApiModelProperty(hidden = true)
    private int length = 10;
    //外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
    @ApiModelProperty(hidden = true)
    private String sysCode = "1";
    private int age;
    private String sex;
    //特征类别
    private String featureType;
    private String symptom;
    private String past;
    private String other;
    private String vital;
    @ApiModelProperty(hidden = true)
    private String lis;
    private List<LisResult> lisArr;
    private String pacs;
    private String diag;
    private String diseaseName; //指定诊断，例如取治疗方案
    private String scaleName;   //量表名称
    private String indications; //指标结果
    private String adverseReactions; //不良反应
    private Integer disType;    //诊断类型
    private String hosCode;  // 对接时，hosCode必填
}
